
Infrastructure - Story #8173

add checks for retrograde systemMetadata changes

2017-09-01 19:42 - Rob Nahf

Status: New Start date: 2017-09-01

Priority: High Due date:  

Assignee: Jing Tao % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Story Points:    

Description

with the ability to prioritize and the introduction of parallelized index task processing, the effective queue is not guaranteed to be

time-ordered.  If there are two valid system metadata changes resulting in two tasks and the second change hits the index first, the

earlier task should be rejected, as its changes are out of date.

Related issues:

Related to CN Index - Task #7771: Use multiple threads to index objects Closed 2016-05-04

History

#1 - 2017-09-01 19:42 - Rob Nahf

- Related to Task #7771: Use multiple threads to index objects added

#2 - 2017-10-24 16:47 - Dave Vieglais

- Target version changed from CCI-2.3.5 to CCI-2.3.6

#3 - 2017-10-30 19:05 - Jing Tao

- Target version changed from CCI-2.3.6 to CCI-2.3.7

#4 - 2017-10-31 17:48 - Dave Vieglais

- Assignee changed from Rob Nahf to Jing Tao

#5 - 2017-11-09 22:48 - Jing Tao

- Target version changed from CCI-2.3.7 to CCI-2.4.0

Our new hazelcast event filter has the function. But after we transfer to RabbitMQ mechanism, we will need another one. So i move it to 2.4.

#6 - 2018-01-17 18:38 - Dave Vieglais

- Sprint set to Infrastructure backlog
